package com.cab.model;

import java.util.Date;

public class ContentFollow {
    private Long id;

    private String fromId;

    private String toId;

    private Date followTime;

    private Long commentId;

    private String content;
    
    private CabSysUser fromUser;

    private CabSysUser toUser;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getFromId() {
        return fromId;
    }

    public void setFromId(String fromId) {
        this.fromId = fromId;
    }

    public String getToId() {
        return toId;
    }

    public void setToId(String toId) {
        this.toId = toId;
    }

    public Date getFollowTime() {
        return followTime;
    }

    public void setFollowTime(Date followTime) {
        this.followTime = followTime;
    }

    public Long getCommentId() {
        return commentId;
    }

    public void setCommentId(Long commentId) {
        this.commentId = commentId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content == null ? null : content.trim();
    }

	public CabSysUser getFromUser() {
		return fromUser;
	}

	public void setFromUser(CabSysUser fromUser) {
		this.fromUser = fromUser;
	}

	public CabSysUser getToUser() {
		return toUser;
	}

	public void setToUser(CabSysUser toUser) {
		this.toUser = toUser;
	}
	
}